{ lib, ... }:

{
  imports = [
    ./forgejo-actions-runner.nix
  ];

  procolix.vm = {
    name = "fedi300";
    ip4 = "95.215.187.30";
    ip6 = "2a00:51c0:12:1305::30";
  };

  ## FIXME: We should just have an option under `procolix.vm` to distinguish
  ## between Procolix VMs and Fediversity ones.
  networking.domain = lib.mkForce "fediversity.eu";
  networking.defaultGateway.address = lib.mkForce "95.215.187.1";
  networking.defaultGateway6.address = lib.mkForce "2a00:51c0:13:1305::1";

  fileSystems."/" = {
    device = "/dev/disk/by-uuid/cbcfaf6b-39bd-4328-9f53-dea8a9d32ecc";
    fsType = "ext4";
  };

  fileSystems."/boot" = {
    device = "/dev/disk/by-uuid/1A4E-07F4";
    fsType = "vfat";
    options = [
      "fmask=0022"
      "dmask=0022"
    ];
  };
}
